{"command":{"effect":"read","timeoutSeconds":30,"inputSchema":{"type":"object","description":"Simple filtering of deployments is available via query parameters:","properties":{"path":{"type":"object","properties":{"owner":{"type":"string","description":"The account owner of the repository. The name is not case sensitive."},"repo":{"type":"string","description":"The name of the repository without the `.git` extension. The name is not case sensitive."}},"required":["owner","repo"],"additionalProperties":false},"query":{"type":"object","properties":{"sha":{"type":"string","default":"none","description":"The SHA recorded at creation time."},"ref":{"type":"string","default":"none","description":"The name of the ref. This can be a branch, tag, or SHA."},"task":{"type":"string","default":"none","description":"The name of the task for the deployment (e.g., `deploy` or `deploy:migrations`)."},"environment":{"type":["string","null"],"default":"none","description":"The name of the environment that was deployed to (e.g., `staging` or `production`)."},"per_page":{"type":"integer","default":30,"description":"The number of results per page (max 100). For more information, see \"[Using pagination in the REST API](https://docs.github.com/rest/using-the-rest-api/using-pagination-in-the-rest-api).\""},"page":{"type":"integer","default":1,"description":"The page number of the results to fetch. For more information, see \"[Using pagination in the REST API](https://docs.github.com/rest/using-the-rest-api/using-pagination-in-the-rest-api).\""}},"required":[],"additionalProperties":false}},"required":["path"],"additionalProperties":false},"name":"List deployments","id":"github.repos.list-deployments","example":{"path":{"owner":"octocat","repo":"hello-world"}},"maxRequests":1,"summary":false}}